Bug 727858 - [abrt] libnotify-0.7.3-1.fc15: __GI_raise: Process /usr/bin/notify-send was killed by signal 6 (SIGABRT) [NEEDINFO]
Summary: [abrt] libnotify-0.7.3-1.fc15: __GI_raise: Process /usr/bin/notify-send was k...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libnotify
Version: 6.1
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Matthias Clasen
QA Contact: Desktop QE
URL:
Whiteboard: abrt_hash:b739dfde82afb16e62f243f030e...
Depends On: 708295 725786
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-03 12:44 UTC by Miroslav Vadkerti
Modified: 2017-12-06 12:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 725786
Environment:
Last Closed: 2017-12-06 12:26:57 UTC
mvadkert: needinfo? (davidz)


Attachments (Terms of Use)

Description Miroslav Vadkerti 2011-08-03 12:44:18 UTC
This problem can be reproduced also in RHEL6 with
libnotify-0.5.0-1.el6.i686

+++ This bug was initially created as a clone of Bug #725786 +++

abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        notify-send -i gtk-dialog-info -t 5000 -- 'Private message from jfch' 'no sshd meni pid behem behu'
component:      libnotify
crash_function: __GI_raise
executable:     /usr/bin/notify-send
kernel:         2.6.38.8-35.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        libnotify-0.7.3-1.fc15
reason:         Process /usr/bin/notify-send was killed by signal 6 (SIGABRT)
time:           Tue Jul 26 15:35:54 2011
uid:            500
var_log_messages: Jul 26 15:35:54 freedom abrt[22068]: saved core dump of pid 22067 (/usr/bin/notify-send) to /var/spool/abrt/ccpp-2011-07-26-15:35:54-22067.new/coredump (610304 bytes)

backtrace:
:Missing separate debuginfo for 
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/3a/8fe6cb0063d56fc9be76ecd085c05f1b8a76e6
:[New LWP 22067]
:[Thread debugging using libthread_db enabled]
:Core was generated by `notify-send -i gtk-dialog-info -t 5000 -- Private message from jfch no sshd men'.
:Program terminated with signal 6, Aborted.
:#0  0x00000033f50352d5 in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
:64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
:
:Thread 1 (Thread 0x7fa366a9d7c0 (LWP 22067)):
:#0  0x00000033f50352d5 in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
:        resultvar = 0
:        pid = <optimized out>
:        selftid = <optimized out>
:#1  0x00000033f5036beb in __GI_abort () at abort.c:93
:        save_stage = 2
:        act = {__sigaction_handler = {sa_handler = 0x33f7316618 <cache_private.5281>, sa_sigaction = 0x33f7316618 <cache_private.5281>}, sa_mask = {__val = {23995552, 24057088, 32, 23995552, 23995552, 24020944, 24020944, 2, 23995424, 24057088, 2, 24020608, 223187605315, 24020944, 223187610045, 24088576}}, sa_flags = 24020662, sa_restorer = 0x7fa3ffffffff}
:        sigs = {__val = {32, 0 <repeats 15 times>}}
:#2  0x00000033f704b5ee in g_logv (log_domain=0x33f7c39e44 "GLib-GObject", log_level=<optimized out>, format=0x33f70b6710 "%s: assertion `%s' failed", args1=0x7fffffc22ad8) at gmessages.c:557
:        depth = <optimized out>
:        domain = 0x0
:        data = 0x0
:        log_func = 0x33f704a780 <g_log_default_handler>
:        domain_fatal_mask = <optimized out>
:        masquerade_fatal = <optimized out>
:        test_level = <optimized out>
:        was_fatal = 0
:        was_recursion = 0
:        i = <optimized out>
:#3  0x00000033f704b682 in g_log (log_domain=<optimized out>, log_level=<optimized out>, format=<optimized out>) at gmessages.c:577
:        args = {{gp_offset = 24, fp_offset = 48, overflow_arg_area = 0x7fffffc22bb0, reg_save_area = 0x7fffffc22af0}}
:#4  0x00000033f90b2043 in g_dbus_proxy_finalize (object=0x16f0800 [GDBusProxy]) at gdbusproxy.c:159
:        proxy = 0x16f0800 [GDBusProxy]
:        __PRETTY_FUNCTION__ = "g_dbus_proxy_finalize"
:#5  0x00000033f7c0f6c1 in g_object_unref (_object=0x16f0800) at gobject.c:2734
:        object = 0x16f0800 [GDBusProxy]
:        old_ref = <optimized out>
:        __PRETTY_FUNCTION__ = "g_object_unref"
:#6  0x00000033f90538ba in g_initable_new_valist (object_type=<optimized out>, first_property_name=0x33f90f2641 "g-flags", var_args=0x7fffffc22c28, cancellable=0x0, error=0x0) at ginitable.c:221
:        obj = <optimized out>
:        __PRETTY_FUNCTION__ = "g_initable_new_valist"
:#7  0x00000033f9053949 in g_initable_new (object_type=<optimized out>, cancellable=<optimized out>, error=<optimized out>, first_property_name=<optimized out>) at ginitable.c:139
:        object = 0x0
:        var_args = {{gp_offset = 48, fp_offset = 48, overflow_arg_area = 0x7fffffc22d50, reg_save_area = 0x7fffffc22c40}}
:#8  0x00000033f90b3905 in g_dbus_proxy_new_for_bus_sync (bus_type=G_BUS_TYPE_SESSION, flags=G_DBUS_PROXY_FLAGS_DO_NOT_LOAD_PROPERTIES, info=0x0, name=0x314a804d2d "org.freedesktop.Notifications", object_path=0x314a804dc0 "/org/freedesktop/Notifications", interface_name=0x314a804d2d "org.freedesktop.Notifications", cancellable=0x0, error=0x0) at gdbusproxy.c:1882
:        initable = <optimized out>
:        __PRETTY_FUNCTION__ = "g_dbus_proxy_new_for_bus_sync"
:#9  0x000000314a802a1f in _notify_get_proxy (error=0x0) at notify.c:243
:No locals.
:#10 0x000000314a803aac in notify_notification_show (notification=0x16e2240 [NotifyNotification], error=0x0) at notification.c:572
:        priv = 0x16e8000
:        proxy = <optimized out>
:        actions_builder = {x = {48, 223188029132, 1, 223188029132, 1, 223187842441, 223188029132, 223187840316, 34, 223187691266, 24046848, 24045056, 223190539744, 23991920, 48, 34}}
:        hints_builder = {x = {1, 223188029132, 0, 0, 0, 64, 0, 206158430210, 472446402651, 532575944823, 24045056, 223157502432, 8, 8, 140737484304592, 0}}
:        l = <optimized out>
:        iter = {dummy1 = 0x0, dummy2 = 0x33f507ab00, dummy3 = 0x8, dummy4 = -150793094, dummy5 = 51, dummy6 = 0x8}
:        key = <optimized out>
:        data = <optimized out>
:        result = <optimized out>
:        __PRETTY_FUNCTION__ = "notify_notification_show"
:#11 0x0000000000401512 in main (argc=1, argv=0x7fffffc230d8) at notify-send.c:269
:        summary = 0x16eb240 "Private message from jfch"
:        body = <optimized out>
:        type = 0x0
:        icon_str = 0x16eb160 "gtk-dialog-info"
:        icons = 0x16eb160 "gtk-dialog-info"
:        n_text = 0x16eb2a0
:        hints = 0x0
:        do_version = 0
:        hint_error = 0
:        expire_timeout = -4294962296
:        opt_ctx = <optimized out>
:        notify = 0x16e2240 [NotifyNotification]
:        error = 0x0
:        retval = <optimized out>
:        entries = {{long_name = 0x401943 "urgency", short_name = 117 'u', flags = 0, arg = G_OPTION_ARG_CALLBACK, arg_data = 0x401700, description = 0x401b08 "Specifies the urgency level (low, normal, critical).", arg_description = 0x40194b "LEVEL"}, {long_name = 0x401951 "expire-time", short_name = 116 't', flags = 0, arg = G_OPTION_ARG_INT, arg_data = 0x6023c0, description = 0x401b40 "Specifies the timeout in milliseconds at which to expire the notification.", arg_description = 0x40195d "TIME"}, {long_name = 0x401962 "icon", short_name = 105 'i', flags = 0, arg = G_OPTION_ARG_FILENAME, arg_data = 0x602400, description = 0x401b90 "Specifies an icon filename or stock icon to display.", arg_description = 0x401967 "ICON[,ICON...]"}, {long_name = 0x401976 "category", short_name = 99 'c', flags = 0, arg = G_OPTION_ARG_FILENAME, arg_data = 0x602410, description = 0x401bc8 "Specifies the notification category.", arg_description = 0x40197f "TYPE[,TYPE...]"}, {long_name = 0x40198e "hint", short_name = 104 'h', flags = 0, arg = G_OPTION_ARG_FILENAME_ARRAY, arg_data = 0x602418, description = 0x401bf0 "Specifies basic extra data to pass. Valid types are int, double, string and byte.", arg_description = 0x401993 "TYPE:NAME:VALUE"}, {long_name = 0x4019a3 "version", short_name = 118 'v', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x6023e8, description = 0x4019ab "Version of the package.", arg_description = 0x0}, {long_name = 0x4018f0 "", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_FILENAME_ARRAY, arg_data = 0x6023f0, description = 0x0, arg_description = 0x0}, {long_name = 0x0, short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x0, description = 0x0, arg_description = 0x0}}
:From                To                  Syms Read   Shared Object Library
:0x000000314a802750  0x000000314a804cec  Yes         /usr/lib64/libnotify.so.4.0.0
:0x0000003147006290  0x0000003147019c9c  Yes         /usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3
:0x0000003146c04890  0x0000003146c1eb8c  Yes         /usr/lib64/libpng12.so.0.46.0
:0x00000033f6003ea0  0x00000033f6043e9c  Yes         /lib64/libm-2.14.so
:0x00000033f90294a0  0x00000033f90d2b3c  Yes         /lib64/libgio-2.0.so.0.2800.8
:0x00000033f7c09970  0x00000033f7c39dcc  Yes         /lib64/libgobject-2.0.so.0.2800.8
:0x00000033f8000fe0  0x00000033f8001f8c  Yes         /lib64/libgmodule-2.0.so.0.2800.8
:0x00000033f7801560  0x00000033f7802a2c  Yes         /lib64/libgthread-2.0.so.0.2800.8
:0x00000033f5c02160  0x00000033f5c053ec  Yes         /lib64/librt-2.14.so
:0x00000033f7016cd0  0x00000033f70adbec  Yes         /lib64/libglib-2.0.so.0.2800.8
:0x00000033f5405640  0x00000033f541038c  Yes         /lib64/libpthread-2.14.so
:0x00000033f501ece0  0x00000033f514304c  Yes         /lib64/libc-2.14.so
:0x00000033f6401e70  0x00000033f640e67c  Yes         /lib64/libz.so.1.2.5
:0x00000033f5800de0  0x00000033f580191c  Yes         /lib64/libdl-2.14.so
:0x00000033f7403840  0x00000033f741354c  Yes         /lib64/libresolv-2.14.so
:0x00000033f6c05980  0x00000033f6c159dc  Yes         /lib64/libselinux.so.1
:0x00000033f4c00b20  0x00000033f4c18caa  Yes         /lib64/ld-2.14.so
:$1 = 0x0
:$2 = 0x0
:rax            0x0	0
:rbx            0x3	3
:rcx            0xffffffffffffffff	-1
:rdx            0x6	6
:rsi            0x5633	22067
:rdi            0x5633	22067
:rbp            0x2	0x2
:rsp            0x7fffffc224d8	0x7fffffc224d8
:r8             0x16f5f70	24076144
:r9             0x33f512f460	223154992224
:r10            0x8	8
:r11            0x206	518
:r12            0x8	8
:r13            0x7fffffc22ad8	140737484303064
:r14            0x0	0
:r15            0x33f73164c0	223190541504
:rip            0x33f50352d5	0x33f50352d5 <__GI_raise+53>
:eflags         0x206	[ PF IF ]
:cs             0x33	51
:ss             0x2b	43
:ds             0x0	0
:es             0x0	0
:fs             0x0	0
:gs             0x0	0
:Dump of assembler code for function __GI_raise:
:   0x00000033f50352a0 <+0>:	mov    %fs:0x2d4,%eax
:   0x00000033f50352a8 <+8>:	mov    %fs:0x2d0,%esi
:   0x00000033f50352b0 <+16>:	test   %esi,%esi
:   0x00000033f50352b2 <+18>:	jne    0x33f50352e0 <__GI_raise+64>
:   0x00000033f50352b4 <+20>:	mov    $0xba,%eax
:   0x00000033f50352b9 <+25>:	syscall 
:   0x00000033f50352bb <+27>:	mov    %eax,%esi
:   0x00000033f50352bd <+29>:	mov    %eax,%fs:0x2d0
:   0x00000033f50352c5 <+37>:	movslq %edi,%rdx
:   0x00000033f50352c8 <+40>:	movslq %esi,%rsi
:   0x00000033f50352cb <+43>:	movslq %eax,%rdi
:   0x00000033f50352ce <+46>:	mov    $0xea,%eax
:   0x00000033f50352d3 <+51>:	syscall 
:=> 0x00000033f50352d5 <+53>:	cmp    $0xfffffffffffff000,%rax
:   0x00000033f50352db <+59>:	ja     0x33f50352ef <__GI_raise+79>
:   0x00000033f50352dd <+61>:	repz retq 
:   0x00000033f50352df <+63>:	nop
:   0x00000033f50352e0 <+64>:	test   %eax,%eax
:   0x00000033f50352e2 <+66>:	jg     0x33f50352c5 <__GI_raise+37>
:   0x00000033f50352e4 <+68>:	test   $0x7fffffff,%eax
:   0x00000033f50352e9 <+73>:	je     0x33f5035300 <__GI_raise+96>
:   0x00000033f50352eb <+75>:	neg    %eax
:   0x00000033f50352ed <+77>:	jmp    0x33f50352c5 <__GI_raise+37>
:   0x00000033f50352ef <+79>:	mov    0x35ccb2(%rip),%rdx        # 0x33f5391fa8
:   0x00000033f50352f6 <+86>:	neg    %eax
:   0x00000033f50352f8 <+88>:	mov    %eax,%fs:(%rdx)
:   0x00000033f50352fb <+91>:	or     $0xffffffffffffffff,%rax
:   0x00000033f50352ff <+95>:	retq   
:   0x00000033f5035300 <+96>:	mov    %esi,%eax
:   0x00000033f5035302 <+98>:	jmp    0x33f50352c5 <__GI_raise+37>
:End of assembler dump.

comment:
:Using irssi plugin for displaying notifications via libnotify.
:Irssi running behind screen and gnome session restarted.

dso_list:
:/lib64/libm-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1310375588
:/lib64/libdl-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1310375588
:/lib64/ld-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1310375588
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3 gdk-pixbuf2-2.23.3-2.fc15.x86_64 (Fedora Project) 1309244977
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14-4.x86_64 (Fedora Project) 1310375588
:/usr/lib64/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc15.x86_64 (Fedora Project) 1311147649
:/lib64/libgio-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1308750600
:/usr/lib64/libnotify.so.4.0.0 libnotify-0.7.3-1.fc15.x86_64 (Fedora Project) 1308750616
:/lib64/librt-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1310375588
:/lib64/libresolv-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1310375588
:/lib64/libpthread-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1310375588
:/usr/bin/notify-send libnotify-0.7.3-1.fc15.x86_64 (Fedora Project) 1308750616
:/lib64/libgthread-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1308750600
:/lib64/libc-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1310375588
:/lib64/libglib-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1308750600
:/lib64/libselinux.so.1 libselinux-2.0.99-4.fc15.x86_64 (Fedora Project) 1307346276
:/lib64/libgmodule-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1308750600
:/lib64/libz.so.1.2.5 zlib-1.2.5-3.fc15.x86_64 (Fedora Project) 1307346256
:/lib64/libgobject-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1308750600

environ:
:ORBIT_SOCKETDIR=/tmp/orbit-someone
:XDG_SESSION_ID=1
:HOSTNAME=xxx
:BYOBU_WINDOWS=/home/someone/.byobu/windows
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-9OntbR/gpg:0:1
:SHELL=/bin/bash
:TERM=tty
:HISTSIZE=1000
:XDG_SESSION_COOKIE=6f449a5f8e1ded576bb84b380000000e-1311683321.768455-358631963
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=41943045
:GNOME_KEYRING_CONTROL=/tmp/keyring-9OntbR
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:USER=someone
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:
:SSH_AUTH_SOCK=/home/someone/.byobu/.ssh-agent
:'TERMCAP=SC|screen|VT 100/ANSI X3.64 virtual terminal:\\\n\t:DO=\\E[%dB:LE=\\E[%dD:RI=\\E[%dC:UP=\\E[%dA:bs:bt=\\E[Z:\\\n\t:cd=\\E[J:ce=\\E[K:cl=\\E[H\\E[J:cm=\\E[%i%d;%dH:ct=\\E[3g:\\\n\t:do=^J:nd=\\E[C:pt:rc=\\E8:rs=\\Ec:sc=\\E7:st=\\EH:up=\\EM:\\\n\t:le=^H:bl=^G:cr=^M:it#8:ho=\\E[H:nw=\\EE:ta=^I:is=\\E)0:\\\n\t:li#57:co#207:am:xn:xv:LP:sr=\\EM:al=\\E[L:AL=\\E[%dL:\\\n\t:cs=\\E[%i%d;%dr:dl=\\E[M:DL=\\E[%dM:dc=\\E[P:DC=\\E[%dP:\\\n\t:im=\\E[4h:ei=\\E[4l:mi:IC=\\E[%d@:ks=\\E[?1h\\E=:\\\n\t:ke=\\E[?1l\\E>:vi=\\E[?25l:ve=\\E[34h\\E[?25h:vs=\\E[34l:\\\n\t:ti=\\E[?1049h:te=\\E[?1049l:us=\\E[4m:ue=\\E[24m:so=\\E[3m:\\\n\t:se=\\E[23m:mb=\\E[5m:md=\\E[1m:mr=\\E[7m:me=\\E[m:ms:\\\n\t:Co#8:pa#64:AF=\\E[3%dm:AB=\\E[4%dm:op=\\E[39;49m:AX:\\\n\t:vb=\\Eg:G0:as=\\E(0:ae=\\E(B:\\\n\t:ac=\\140\\140aaffggjjkkllmmnnooppqqrrssttuuvvwwxxyyzz{{||}}~~..--++,,hhII00:\\\n\t:po=\\E[5i:pf=\\E[4i:Km=\\E[M:k0=\\E[10~:k;=\\E[21~:\\\n\t:F1=\\E[23~:F3=\\E[1;2P:F4=\\E[1;2Q:F5=\\E[1;2R:F6=\\E[1;2S:\\\n\t:F7=\\E[15;2~:F8=\\E[17;2~:F9=\\E[18;2~:FA=\\E[19;2~:kb=\x7f:\\\n\t:K2=\\EOE:kB=\\E[Z:kF=\\E[1;2B:kR=\\E[1;2A:*4=\\E[3;2~:\\\n\t:*7=\\E[1;2F:#2=\\E[1;2H:#3=\\E[2;2~:#4=\\E[1;2D:%c=\\E[6;2~:\\\n\t:%e=\\E[5;2~:%i=\\E[1;2C:kh=\\E[1~:@1=\\E[1~:kH=\\E[4~:\\\n\t:@7=\\E[4~:kN=\\E[6~:kP=\\E[5~:kI=\\E[2~:kD=\\E[3~:ku=\\EOA:\\\n\t:kd=\\EOB:kr=\\EOC:kl=\\EOD:km:'
:USERNAME=someone
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1738,unix/unix:/tmp/.ICE-unix/1738
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/someone/bin
:MAIL=/var/spool/mail/someone
:DESKTOP_SESSION=gnome
:STY=2392.byobu
:_=/usr/bin/notify-send
:QT_IM_MODULE=xim
:PWD=/home/someone
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1730
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:GDM_LANG=
:KDEDIRS=/usr
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:HOME=/home/someone
:SHLVL=4
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=someone
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:WINDOW=0
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-hiUXSbzJXp,guid=3a2e951ff047db93c7789ac80000002d
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:BYOBU_PREFIX=/usr
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/someone
:DISPLAY=:0
:G_BROKEN_FILENAMES=1
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-someone-7nvtrM/database

environ~:
:ORBIT_SOCKETDIR=/tmp/orbit-mvadkert
:XDG_SESSION_ID=1
:HOSTNAME=freedom.brq.redhat.com
:BYOBU_WINDOWS=/home/mvadkert/.byobu/windows
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-9OntbR/gpg:0:1
:SHELL=/bin/bash
:TERM=tty
:HISTSIZE=1000
:XDG_SESSION_COOKIE=6f449a5f8e1ded576bb84b380000000e-1311683321.768455-358631963
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=41943045
:GNOME_KEYRING_CONTROL=/tmp/keyring-9OntbR
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:USER=mvadkert
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:
:SSH_AUTH_SOCK=/home/mvadkert/.byobu/.ssh-agent
:'TERMCAP=SC|screen|VT 100/ANSI X3.64 virtual terminal:\\\n\t:DO=\\E[%dB:LE=\\E[%dD:RI=\\E[%dC:UP=\\E[%dA:bs:bt=\\E[Z:\\\n\t:cd=\\E[J:ce=\\E[K:cl=\\E[H\\E[J:cm=\\E[%i%d;%dH:ct=\\E[3g:\\\n\t:do=^J:nd=\\E[C:pt:rc=\\E8:rs=\\Ec:sc=\\E7:st=\\EH:up=\\EM:\\\n\t:le=^H:bl=^G:cr=^M:it#8:ho=\\E[H:nw=\\EE:ta=^I:is=\\E)0:\\\n\t:li#57:co#207:am:xn:xv:LP:sr=\\EM:al=\\E[L:AL=\\E[%dL:\\\n\t:cs=\\E[%i%d;%dr:dl=\\E[M:DL=\\E[%dM:dc=\\E[P:DC=\\E[%dP:\\\n\t:im=\\E[4h:ei=\\E[4l:mi:IC=\\E[%d@:ks=\\E[?1h\\E=:\\\n\t:ke=\\E[?1l\\E>:vi=\\E[?25l:ve=\\E[34h\\E[?25h:vs=\\E[34l:\\\n\t:ti=\\E[?1049h:te=\\E[?1049l:us=\\E[4m:ue=\\E[24m:so=\\E[3m:\\\n\t:se=\\E[23m:mb=\\E[5m:md=\\E[1m:mr=\\E[7m:me=\\E[m:ms:\\\n\t:Co#8:pa#64:AF=\\E[3%dm:AB=\\E[4%dm:op=\\E[39;49m:AX:\\\n\t:vb=\\Eg:G0:as=\\E(0:ae=\\E(B:\\\n\t:ac=\\140\\140aaffggjjkkllmmnnooppqqrrssttuuvvwwxxyyzz{{||}}~~..--++,,hhII00:\\\n\t:po=\\E[5i:pf=\\E[4i:Km=\\E[M:k0=\\E[10~:k;=\\E[21~:\\\n\t:F1=\\E[23~:F3=\\E[1;2P:F4=\\E[1;2Q:F5=\\E[1;2R:F6=\\E[1;2S:\\\n\t:F7=\\E[15;2~:F8=\\E[17;2~:F9=\\E[18;2~:FA=\\E[19;2~:kb=\x7f:\\\n\t:K2=\\EOE:kB=\\E[Z:kF=\\E[1;2B:kR=\\E[1;2A:*4=\\E[3;2~:\\\n\t:*7=\\E[1;2F:#2=\\E[1;2H:#3=\\E[2;2~:#4=\\E[1;2D:%c=\\E[6;2~:\\\n\t:%e=\\E[5;2~:%i=\\E[1;2C:kh=\\E[1~:@1=\\E[1~:kH=\\E[4~:\\\n\t:@7=\\E[4~:kN=\\E[6~:kP=\\E[5~:kI=\\E[2~:kD=\\E[3~:ku=\\EOA:\\\n\t:kd=\\EOB:kr=\\EOC:kl=\\EOD:km:'
:USERNAME=mvadkert
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1738,unix/unix:/tmp/.ICE-unix/1738
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/mvadkert/bin
:MAIL=/var/spool/mail/mvadkert
:DESKTOP_SESSION=gnome
:STY=2392.byobu
:_=/usr/bin/notify-send
:QT_IM_MODULE=xim
:PWD=/home/mvadkert
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1730
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:GDM_LANG=
:KDEDIRS=/usr
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:HOME=/home/mvadkert
:SHLVL=4
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=mvadkert
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:WINDOW=0
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-hiUXSbzJXp,guid=3a2e951ff047db93c7789ac80000002d
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:BYOBU_PREFIX=/usr
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/mvadkert
:DISPLAY=:0
:G_BROKEN_FILENAMES=1
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-mvadkert-7nvtrM/database

maps:
:00400000-00402000 r-xp 00000000 08:02 394828                             /usr/bin/notify-send
:00602000-00604000 rw-p 00002000 08:02 394828                             /usr/bin/notify-send
:016e1000-01702000 rw-p 00000000 00:00 0                                  [heap]
:3146c00000-3146c26000 r-xp 00000000 08:02 392545                         /usr/lib64/libpng12.so.0.46.0
:3146c26000-3146e26000 ---p 00026000 08:02 392545                         /usr/lib64/libpng12.so.0.46.0
:3146e26000-3146e27000 rw-p 00026000 08:02 392545                         /usr/lib64/libpng12.so.0.46.0
:3147000000-3147021000 r-xp 00000000 08:02 394536                         /usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3
:3147021000-3147221000 ---p 00021000 08:02 394536                         /usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3
:3147221000-3147222000 rw-p 00021000 08:02 394536                         /usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3
:314a800000-314a806000 r-xp 00000000 08:02 405154                         /usr/lib64/libnotify.so.4.0.0
:314a806000-314aa06000 ---p 00006000 08:02 405154                         /usr/lib64/libnotify.so.4.0.0
:314aa06000-314aa07000 rw-p 00006000 08:02 405154                         /usr/lib64/libnotify.so.4.0.0
:33f4c00000-33f4c1f000 r-xp 00000000 08:02 261091                         /lib64/ld-2.14.so
:33f4e1e000-33f4e1f000 r--p 0001e000 08:02 261091                         /lib64/ld-2.14.so
:33f4e1f000-33f4e20000 rw-p 0001f000 08:02 261091                         /lib64/ld-2.14.so
:33f4e20000-33f4e21000 rw-p 00000000 00:00 0 
:33f5000000-33f518f000 r-xp 00000000 08:02 261092                         /lib64/libc-2.14.so
:33f518f000-33f538e000 ---p 0018f000 08:02 261092                         /lib64/libc-2.14.so
:33f538e000-33f5392000 r--p 0018e000 08:02 261092                         /lib64/libc-2.14.so
:33f5392000-33f5393000 rw-p 00192000 08:02 261092                         /lib64/libc-2.14.so
:33f5393000-33f5399000 rw-p 00000000 00:00 0 
:33f5400000-33f5416000 r-xp 00000000 08:02 261101                         /lib64/libpthread-2.14.so
:33f5416000-33f5615000 ---p 00016000 08:02 261101                         /lib64/libpthread-2.14.so
:33f5615000-33f5616000 r--p 00015000 08:02 261101                         /lib64/libpthread-2.14.so
:33f5616000-33f5617000 rw-p 00016000 08:02 261101                         /lib64/libpthread-2.14.so
:33f5617000-33f561b000 rw-p 00000000 00:00 0 
:33f5800000-33f5802000 r-xp 00000000 08:02 261103                         /lib64/libdl-2.14.so
:33f5802000-33f5a02000 ---p 00002000 08:02 261103                         /lib64/libdl-2.14.so
:33f5a02000-33f5a03000 r--p 00002000 08:02 261103                         /lib64/libdl-2.14.so
:33f5a03000-33f5a04000 rw-p 00003000 08:02 261103                         /lib64/libdl-2.14.so
:33f5c00000-33f5c07000 r-xp 00000000 08:02 261130                         /lib64/librt-2.14.so
:33f5c07000-33f5e06000 ---p 00007000 08:02 261130                         /lib64/librt-2.14.so
:33f5e06000-33f5e07000 r--p 00006000 08:02 261130                         /lib64/librt-2.14.so
:33f5e07000-33f5e08000 rw-p 00007000 08:02 261130                         /lib64/librt-2.14.so
:33f6000000-33f6083000 r-xp 00000000 08:02 261094                         /lib64/libm-2.14.so
:33f6083000-33f6282000 ---p 00083000 08:02 261094                         /lib64/libm-2.14.so
:33f6282000-33f6283000 r--p 00082000 08:02 261094                         /lib64/libm-2.14.so
:33f6283000-33f6284000 rw-p 00083000 08:02 261094                         /lib64/libm-2.14.so
:33f6400000-33f6416000 r-xp 00000000 08:02 261095                         /lib64/libz.so.1.2.5
:33f6416000-33f6616000 ---p 00016000 08:02 261095                         /lib64/libz.so.1.2.5
:33f6616000-33f6617000 rw-p 00016000 08:02 261095                         /lib64/libz.so.1.2.5
:33f6c00000-33f6c1d000 r-xp 00000000 08:02 261115                         /lib64/libselinux.so.1
:33f6c1d000-33f6e1c000 ---p 0001d000 08:02 261115                         /lib64/libselinux.so.1
:33f6e1c000-33f6e1d000 r--p 0001c000 08:02 261115                         /lib64/libselinux.so.1
:33f6e1d000-33f6e1e000 rw-p 0001d000 08:02 261115                         /lib64/libselinux.so.1
:33f6e1e000-33f6e1f000 rw-p 00000000 00:00 0 
:33f7000000-33f7115000 r-xp 00000000 08:02 261132                         /lib64/libglib-2.0.so.0.2800.8
:33f7115000-33f7315000 ---p 00115000 08:02 261132                         /lib64/libglib-2.0.so.0.2800.8
:33f7315000-33f7316000 rw-p 00115000 08:02 261132                         /lib64/libglib-2.0.so.0.2800.8
:33f7316000-33f7317000 rw-p 00000000 00:00 0 
:33f7400000-33f7417000 r-xp 00000000 08:02 261112                         /lib64/libresolv-2.14.so
:33f7417000-33f7617000 ---p 00017000 08:02 261112                         /lib64/libresolv-2.14.so
:33f7617000-33f7618000 r--p 00017000 08:02 261112                         /lib64/libresolv-2.14.so
:33f7618000-33f7619000 rw-p 00018000 08:02 261112                         /lib64/libresolv-2.14.so
:33f7619000-33f761b000 rw-p 00000000 00:00 0 
:33f7800000-33f7804000 r-xp 00000000 08:02 261133                         /lib64/libgthread-2.0.so.0.2800.8
:33f7804000-33f7a03000 ---p 00004000 08:02 261133                         /lib64/libgthread-2.0.so.0.2800.8
:33f7a03000-33f7a04000 rw-p 00003000 08:02 261133                         /lib64/libgthread-2.0.so.0.2800.8
:33f7c00000-33f7c4c000 r-xp 00000000 08:02 261134                         /lib64/libgobject-2.0.so.0.2800.8
:33f7c4c000-33f7e4b000 ---p 0004c000 08:02 261134                         /lib64/libgobject-2.0.so.0.2800.8
:33f7e4b000-33f7e4d000 rw-p 0004b000 08:02 261134                         /lib64/libgobject-2.0.so.0.2800.8
:33f7e4d000-33f7e4e000 rw-p 00000000 00:00 0 
:33f8000000-33f8003000 r-xp 00000000 08:02 261135                         /lib64/libgmodule-2.0.so.0.2800.8
:33f8003000-33f8202000 ---p 00003000 08:02 261135                         /lib64/libgmodule-2.0.so.0.2800.8
:33f8202000-33f8203000 rw-p 00002000 08:02 261135                         /lib64/libgmodule-2.0.so.0.2800.8
:33f9000000-33f9121000 r-xp 00000000 08:02 261136                         /lib64/libgio-2.0.so.0.2800.8
:33f9121000-33f9320000 ---p 00121000 08:02 261136                         /lib64/libgio-2.0.so.0.2800.8
:33f9320000-33f9326000 rw-p 00120000 08:02 261136                         /lib64/libgio-2.0.so.0.2800.8
:33f9326000-33f9327000 rw-p 00000000 00:00 0 
:7fa366a9d000-7fa366aa6000 rw-p 00000000 00:00 0 
:7fa366abe000-7fa366ac5000 r--s 00000000 08:02 404897                     /usr/lib64/gconv/gconv-modules.cache
:7fa366ac5000-7fa366ac6000 rw-p 00000000 00:00 0 
:7fffffc04000-7fffffc26000 rw-p 00000000 00:00 0                          [stack]
:7fffffc5d000-7fffffc5e000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

--- Additional comment from mvadkert@redhat.com on 2011-07-26 10:54:42 EDT ---

Repro steps are very easy:

1. Be logged into a gnome session
2. screen
3. do not terminate screen
4. restart X session (ctrl+alt+backspace)
5. log back in and resume screen
6. run
$ notify-send -i gtk-dialog-info -t 5000 'a' 'a'

You get backtrace:
GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed
aborting...
Aborted (core dumped)

I assume this is maybe expected. Is there any workaround? I like to keep my irssi session behind screen and getting backtraces when I get new message notifications.

Comment 1 RHEL Product and Program Management 2011-08-03 12:47:57 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 2 RHEL Product and Program Management 2012-09-21 16:03:07 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Comment 4 RHEL Product and Program Management 2013-10-14 01:02:38 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Comment 5 Jan Kurik 2017-12-06 12:26:57 UTC
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/


Note You need to log in before you can comment on or make changes to this bug.